Bug 2221241 - Python bindings of MLIR are not packaged
Summary: Python bindings of MLIR are not packaged
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mlir
Version: 38
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Tulio Magno Quites Machado Filho
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-07-07 15:51 UTC by Andrea
Modified: 2023-09-22 00:18 UTC (History)
6 users (show)

Fixed In Version: mlir-17.0.0~rc4-1.fc39
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-09-22 00:18:32 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker FC-889 0 None None None 2023-07-10 15:33:07 UTC
Red Hat Issue Tracker FC-890 0 None None None 2023-07-10 15:33:05 UTC

Description Andrea 2023-07-07 15:51:34 UTC
MLIR provides Python bindings, which can be built by adding `-DMLIR_ENABLE_BINDINGS_PYTHON=ON` option for CMake.

As of now, those bindings are not packaged and one would need to compile MLIR with bindings.

Reproducible: Always

Steps to Reproduce:
1. Install mlir-devel
2. Open Python
3. import mlir
Actual Results:  
mlir module not found

Expected Results:  
mlir bindings are imported

Comment 1 Tulio Magno Quites Machado Filho 2023-07-14 21:34:42 UTC
I prepared an initial draft for this here: https://src.fedoraproject.org/rpms/mlir/pull-request/18
Feedback is welcome.
A scratch build is available at: https://koji.fedoraproject.org/koji/taskinfo?taskID=103364590
Note: it requires https://bodhi.fedoraproject.org/updates/FEDORA-2023-afd7a38128

There are still tests failing on s390x.

Comment 2 Balint Cristian 2023-09-02 23:33:22 UTC
Any chance for bindings in upcoming mlir-17 fc{40,39} ?

Comment 3 Tulio Magno Quites Machado Filho 2023-09-05 13:10:08 UTC
(In reply to Balint Cristian from comment #2)
> Any chance for bindings in upcoming mlir-17 fc{40,39} ?

As mentioned in comment #1, I have prepared an initial draft.
However, there is still one test failing on s390x.
If this last remaining issue is fixed on time, then I think we can distribute it on Fedora >= 39.

Suggestions on how to deal with this issue is appreciated.

Comment 4 Fedora Update System 2023-09-13 13:47:45 UTC
FEDORA-2023-cf7032ab53 has been submitted as an update to Fedora 40. https://bodhi.fedoraproject.org/updates/FEDORA-2023-cf7032ab53

Comment 5 Fedora Update System 2023-09-13 14:16:00 UTC
FEDORA-2023-86ba35c058 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-86ba35c058

Comment 6 Tulio Magno Quites Machado Filho 2023-09-13 14:18:02 UTC
This is now being tested for both Rawhide and Fedora 39.
Please give your feedback in the Bodhi updates.

Fedora 39: https://bodhi.fedoraproject.org/updates/FEDORA-2023-86ba35c058
Rawhide: https://bodhi.fedoraproject.org/updates/FEDORA-2023-cf7032ab53

Comment 7 Fedora Update System 2023-09-13 14:37:38 UTC
FEDORA-2023-cf7032ab53 has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2023-09-14 01:46:56 UTC
FEDORA-2023-86ba35c058 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-86ba35c058`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-86ba35c058

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2023-09-22 00:18:32 UTC
FEDORA-2023-86ba35c058 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.